;;; kirby-mode --- Highlights for kirby content files
;;; Commentary:
;;; Code:

(setq kirby-highlights
      '(("^[a-zA-Z\w]*:" . 'font-lock-function-name-face)
        ("-*" . 'font-lock-constant-face)))

(define-derived-mode kirby-mode fundamental-mode "Kirby"
  "Major mode for editing Kirby CMS content files."
  (setq font-lock-defaults '(kirby-highlights)))

(provide 'kirby-mode)
;;; kirby-mode.el ends here
